View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0019843LazarusWidgetsetpublic2011-07-31 15:362013-05-12 18:15
ReporterBart Broersma 
Assigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformi386OSSuse LinuxOS Version10.0
Product Version0.9.31 (SVN)Product Build31810 
Target VersionFixed in Version 
Summary0019843: GTK2 scrollbar - top wraps to bottom - (SynMemo scrolling weirdness)
DescriptionWhen in a SynMemo you pull the track-thumb to topmost (vert. scrollbar) or leftmost (hor. scrollbar), then the SynMemo scrolls to resp. eond of file or past eol.
Steps To ReproduceSee SourceEditor of Lazarus.
Open a sourcefile.

Place cursor at begin of file.
Grab scroll-thumb on horizontal scrollbar and move it to the left: text disappears, gutter is still there as are code-folding indicators.
Grab scroll-thumb oon vertical scrollbar and move to top: last lines of the file will appear.

This issue does not occur when you click the arrows of the scrollbar.
It looks like we assing some negative value to the scrolling mechanism when it should be zero?
Additional InformationThe described behaviour does not happen to a TMemo, so it seems SynEdit related.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK 2
Attached Filesxml file icon editoroptions.xml [^] (665 bytes) 2011-08-01 20:05

- Relationships
related to 0024389resolvedJuha Manninen GTK2 scroll bars jump to the bottom position when scrolling the mouse wheel up when at the top 

-  Notes
(0050309)
Bart Broersma (developer)
2011-07-31 15:44

Does not happen in Windows (win9x) (same Lazarus revision), so might be a widgetset problem.
(0050311)
Martin Friebe (manager)
2011-07-31 16:03

- How many lines does the file in the editor have?
- Do you have "scroll past end of file" enabled?
- Do you have "always show caret" enabled?
(Best attach your editor options)?

Was it recently introduced? Do you know the revision? Or has it been there longer?
(0050352)
Bart Broersma (developer)
2011-08-01 20:04
edited on: 2011-08-01 20:15

> - How many lines does the file in the editor have?
Any file "bigger than the window" will do.

> - Do you have "scroll past end of file" enabled?
No

> - Do you have "always show caret" enabled?
Closest thing is "Always visible cursor", it it disabled

Testing with a TSynMemo reveals tha the horizontal issue disappears when eoScrollPastEol is set to False.

> (Best attach your editor options)?
I'll attach my editor options.


It however does not seem to be a TSynMemo issue, I get the exact same behaviour with the OI (vert. scrolling to topmost goes to bottom instead), and with a TTreeView (hor. and vert).

> Was it recently introduced? Do you know the revision? Or has it been there longer?

It seems recent to me. My previous rev was about 200 before my current, and I don't remeber it being there.

(0050353)
Martin Friebe (manager)
2011-08-01 20:21

Definitely Widgetset then.
SynEdit does some handling of the scrollbar, but OI points to the scrollbar itself.

Doesn't happen on all GTK2, tested with older fedora => all ok

It may be worth adding your gtk2 version.

Since it's OI too, I changed the Issue title
(0050355)
Bart Broersma (developer)
2011-08-01 20:29

bart@simenon:~> uname -a
Linux simenon 2.6.13-15-default 0000001 Tue Sep 13 14:56:15 UTC 2005 i686 i686 i386 GNU/Linux
bart@simenon:~> rpm -q gtk2
gtk2-2.8.3-4
(0067616)
Juha Manninen (developer)
2013-05-09 15:31

The related issue was solved with a patch.
Does it solve this one, too?
(0067674)
Bart Broersma (developer)
2013-05-12 18:15

Fixed in the mean time.

- Issue History
Date Modified Username Field Change
2011-07-31 15:36 Bart Broersma New Issue
2011-07-31 15:36 Bart Broersma LazTarget => -
2011-07-31 15:36 Bart Broersma Widgetset => GTK 2
2011-07-31 15:44 Bart Broersma Note Added: 0050309
2011-07-31 16:03 Martin Friebe Note Added: 0050311
2011-07-31 16:03 Martin Friebe Status new => feedback
2011-08-01 20:04 Bart Broersma Note Added: 0050352
2011-08-01 20:05 Bart Broersma File Added: editoroptions.xml
2011-08-01 20:15 Bart Broersma Note Edited: 0050352
2011-08-01 20:21 Martin Friebe Note Added: 0050353
2011-08-01 20:21 Martin Friebe Status feedback => new
2011-08-01 20:21 Martin Friebe Category LCL => Widgetset
2011-08-01 20:21 Martin Friebe Summary SynMemo scrolling weirdness => GTK2 scrollbar - top wraps to bottom - (SynMemo scrolling weirdness)
2011-08-01 20:29 Bart Broersma Note Added: 0050355
2011-10-06 13:14 Vincent Snijders Status new => acknowledged
2013-05-06 23:51 Juha Manninen Relationship added related to 0024389
2013-05-09 15:31 Juha Manninen Note Added: 0067616
2013-05-09 15:31 Juha Manninen Assigned To => Juha Manninen
2013-05-09 15:31 Juha Manninen Status acknowledged => feedback
2013-05-12 18:15 Bart Broersma Note Added: 0067674
2013-05-12 18:15 Bart Broersma Status feedback => assigned
2013-05-12 18:15 Bart Broersma Status assigned => resolved
2013-05-12 18:15 Bart Broersma Resolution open => fixed
2013-05-12 18:15 Bart Broersma Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker